<?php
/*
 * Server-Load RSS Feed V1.00 
 * By Markus Junginger, http://jars.de
 */
header("Content-Type: application/rss+xml"); 
echo('<?xml version="1.0" encoding="ISO-8859-1"?>');
$MJ_LINK='http://'.$_SERVER['HTTP_HOST'].$_SERVER["PHP_SELF"];
?>
<rss version="2.0">

  <channel>
    <title><?php echo $_SERVER['HTTP_HOST']; ?> Server Load</title>
    <link><?php echo $MJ_LINK ?></link>
    <description>Server Load by <a href="jars.de">jars.de</a></description>
    <pubDate><?php echo date("r"); ?></pubDate>

    <?php
    if (function_exists('sys_getloadavg')) {
    	$loadArray = sys_getloadavg();
    	$load= "Load: ".$loadArray[0]."/".$loadArray[1]."/".$loadArray[2];
    } else {
    	$load=@file_get_contents('/proc/loadavg');
    }
    if(!$load) {
      $load= 'Sorry, no load average available for your server';
      $info = 'PHP >= 5.1.3 or access to /proc/loadavg is required.';
    } ?>
    <item>
	    <title><?php echo $load;?></title>
	    <description><![CDATA[<?php echo $info;?>]]></description>
	    <pubDate><?php echo date("r"); ?></pubDate>
      	    <link><?php echo $MJ_LINK ?></link>
      	    <guid><?php echo $_SERVER['REQUEST_URI']; ?></guid>
    </item>

  </channel>

</rss>
